Skip to content
Coritan Docs

Organization API: Customer Portal: Platform domains

The 4 Organization API operations for platform domains.

View as Markdown

Part of Customer Portal.

GET /api/v1/orgs/{org_slug}/portal/platform-domains

Name In Type Required
org_slug path string yes
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

GET /api/v1/orgs/{org_slug}/portal/platform-domains/availability

Name In Type Required
org_slug path string yes
label query string yes
suffix query string or null no
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

POST /api/v1/orgs/{org_slug}/portal/platform-domains/claims

Name In Type Required
org_slug path string yes

application/json (required)

Field Type Required
label string yes
suffix string or null no
Status Meaning
201 Success.
422 The request is not valid. detail lists each problem.

DELETE /api/v1/orgs/{org_slug}/portal/platform-domains/claims/{claim_id}

Name In Type Required
claim_id path integer yes
org_slug path string yes
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.